## org.eclipse.emf.compare.match.service
Interface IMatchEngineSelector

    public interface IMatchEngineSelector

Clients can subclass this in order to offer a specific match engine selector to users when more than one are defined on the same file extension.

Since:
  1.0

Method Summary
`MatchEngineDescriptor` `selectMatchEngine(java.util.List<MatchEngineDescriptor> engines)` Implements the actual engine selection algorythm.

Method Detail

### selectMatchEngine

    MatchEngineDescriptor selectMatchEngine(java.util.List<MatchEngineDescriptor> engines)

  Implements the actual engine selection algorythm.

  Parameters:
    `engines` - List of all candidates.
  Returns:
    The selected engine.

Copyright 2006 IBM Corporation and others. All Rights Reserved.